Bug 536475 - (RHQ-821) group def allows string functions to be suffixed onto non-string types, but then blows up during calcuation
group def allows string functions to be suffixed onto non-string types, but t...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.1pre
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-09-10 09:30 EDT by Joseph Marques
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-09-10 09:30:00 EDT
basically, instead of allowing the creation of the expression, and then blowing up later...it should disallow the creation and provide a convenient error message.  if a user enters an expression like:

resource.id.contains = 42

it should print a message along the lines of "can not apply a string function to an expression that resolves to an integer type"
Comment 1 Joseph Marques 2008-09-10 09:33:44 EDT
rev1415 - disallow the application of string functions to expressions that are known not to resolve to strings; 
Comment 2 Charles Crouch 2008-09-10 10:40:48 EDT
So the issue in the above example is the .id not the 42 right? So this wouldn't work either

resource.id.contains = myString

but

resource.pluginConfiguration[port] = 8080

where port is an integer will work, at least now that RHQ-803 is fixed?

Comment 3 Jeff Weiss 2008-09-19 14:54:57 EDT
Now get "Syntax error in your group definition: Can not apply a string function to an expression that resolves to Integer "

rev1547.
Comment 4 Red Hat Bugzilla 2009-11-10 16:17:35 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-821

Note You need to log in before you can comment on or make changes to this bug.